# Uses of Class
javafx.scene.control.ContextMenu

Packages that use ContextMenu
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of ContextMenu in javafx.scene.control

Methods in javafx.scene.control that return ContextMenu
Modifier and Type
Method
Description
`final ContextMenu`
Control.`getContextMenu()`
Gets the value of the `contextMenu` property.
`final ContextMenu`
Tab.`getContextMenu()`
The context menu associated with the tab.
`final ContextMenu`
TableColumnBase.`getContextMenu()`
Gets the value of the `contextMenu` property.
`final ContextMenu`
MenuItem.`getParentPopup()`
Gets the value of the `parentPopup` property.
Methods in javafx.scene.control that return types with arguments of type ContextMenu
Modifier and Type
Method
Description
`final ObjectProperty<ContextMenu>`
Control.`contextMenuProperty()`
The ContextMenu to show for this control.
`final ObjectProperty<ContextMenu>`
Tab.`contextMenuProperty()`
The context menu associated with the tab.
`final ObjectProperty<ContextMenu>`
TableColumnBase.`contextMenuProperty()`
This menu will be shown whenever the user right clicks within the header area of this TableColumnBase.
`final ReadOnlyObjectProperty<ContextMenu>`
MenuItem.`parentPopupProperty()`
This is the `ContextMenu` in which this `MenuItem` exists.
Methods in javafx.scene.control with parameters of type ContextMenu
Modifier and Type
Method
Description
`final void`
Control.`setContextMenu(ContextMenu value)`
Sets the value of the `contextMenu` property.
`final void`
Tab.`setContextMenu(ContextMenu value)`
Specifies the context menu to show when the user right-clicks on the tab.
`final void`
TableColumnBase.`setContextMenu(ContextMenu value)`
Sets the value of the `contextMenu` property.
`protected final void`
MenuItem.`setParentPopup(ContextMenu value)`
Sets the value of the `parentPopup` property.

## Uses of ContextMenu in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return ContextMenu
Modifier and Type
Method
Description
`ContextMenu`
ContextMenuSkin.`getSkinnable()`
Gets the Skinnable to which this Skin is assigned.
Constructors in javafx.scene.control.skin with parameters of type ContextMenu
Modifier
Constructor
Description
``
`ContextMenuSkin(ContextMenu control)`
Creates a new ContextMenuSkin instance.